Update a putaway rule
curl --request PATCH \
--url https://clarus-api.com/api/putaway_rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "putaway_rules",
"attributes": {
"account_id": 7,
"rule": "walk_sequence",
"direction": "asc",
"position": 1
}
}
}
'import requests
url = "https://clarus-api.com/api/putaway_rules/{id}"
payload = { "data": {
"type": "putaway_rules",
"attributes": {
"account_id": 7,
"rule": "walk_sequence",
"direction": "asc",
"position": 1
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'putaway_rules',
attributes: {account_id: 7, rule: 'walk_sequence', direction: 'asc', position: 1}
}
})
};
fetch('https://clarus-api.com/api/putaway_rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "1",
"type": "putaway_rules",
"attributes": {
"rule": "walk_sequence",
"direction": "asc",
"position": 1
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Putaway Rules
Update a putaway rule
Update an existing putaway rule.
PATCH
/
api
/
putaway_rules
/
{id}
Update a putaway rule
curl --request PATCH \
--url https://clarus-api.com/api/putaway_rules/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"data": {
"type": "putaway_rules",
"attributes": {
"account_id": 7,
"rule": "walk_sequence",
"direction": "asc",
"position": 1
}
}
}
'import requests
url = "https://clarus-api.com/api/putaway_rules/{id}"
payload = { "data": {
"type": "putaway_rules",
"attributes": {
"account_id": 7,
"rule": "walk_sequence",
"direction": "asc",
"position": 1
}
} }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
data: {
type: 'putaway_rules',
attributes: {account_id: 7, rule: 'walk_sequence', direction: 'asc', position: 1}
}
})
};
fetch('https://clarus-api.com/api/putaway_rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "1",
"type": "putaway_rules",
"attributes": {
"rule": "walk_sequence",
"direction": "asc",
"position": 1
}
}
}{
"error": "<string>"
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}{
"errors": [
{
"code": 123,
"symbol": "<string>",
"details": "<string>",
"source": "<string>",
"context": {}
}
]
}Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Path Parameters
The unique identifier of the putaway rule
Body
application/json
Show child attributes
Show child attributes
Response
Updated successfully
The response is of type object.
⌘I

